# Payments

Use a single API that orchestrates the payment flow to include FraudSight, 3DS and token creation.

__Authentication__

Set your headers 

```
Authorization: {your_credentials}    
Content-Type: application/json    
WP-Api-Version: 2024-06-01
```    

Replace `{your_credentials}` with your base64-encoded Basic Auth username and password.  

__DNS whitelisting__

Whitelist the following URLs:    
* `https://try.access.worldpay.com/`
* `https://access.worldpay.com/`

Please ensure you use DNS whitelisting, not explicit IP whitelisting. When you make a request within Access Worldpay, you should always cache the response returned. 

__API collection__

A full set of API examples based on different scenarios. 

 * __[Download Postman collection](./collections/index.md)__


Version: 2024-06-01

Metadata:
  - tags: ["Orchestration"]
  - category: ["3DS","SCA Exemptions","Card Payments","Risk Assessments","Tokens","Wallets"]
  - catalog-list: true
  - business: ["Enterprise","SMB (Worldpay eCommerce)"]
  - generated: true

## Servers

Test (Try)
```
https://try.access.worldpay.com
```

Live
```
https://access.worldpay.com
```

## Security

### BasicAuth

Type: http
Scheme: basic

## Download OpenAPI description

 - [Payments](https://docs.worldpay.com/access/_bundle/products/payments/@20240601/openapi.yaml)

## Payment

 - [POST /api/payments](https://docs.worldpay.com/access/products/payments/openapi/payment/payment.md): Initiate payment
## 3DS actions

 - [POST /api/payments/{linkData}/3dsDeviceData](https://docs.worldpay.com/access/products/payments/openapi/3ds-actions/supply3dsdevicedata.md): Gather additional device data
 - [POST /api/payments/{linkData}/3dsChallenges](https://docs.worldpay.com/access/products/payments/openapi/3ds-actions/complete3dschallenge.md): Verify authentication challenge
## Manage payments

 - [GET /api/payments/{linkData}](https://docs.worldpay.com/access/products/payments/openapi/manage-payments/queryevents.md): Send a payment query request to find out the current status of a payment after it has been authorized.
 - [POST /api/payments/{linkData}/settlements](https://docs.worldpay.com/access/products/payments/openapi/manage-payments/settle.md): Send a settle request to receive all the funds of a payment. **Note:** No request body is needed for this request.
 - [POST /api/payments/{linkData}/partialSettlements](https://docs.worldpay.com/access/products/payments/openapi/manage-payments/partialsettle.md): Send a partial settle request to receive a portion of the funds of a payment. **Note:** Send the amount to settle and the authorization currency in the body.
 - [POST /api/payments/{linkData}/refunds](https://docs.worldpay.com/access/products/payments/openapi/manage-payments/refund.md): Send a refund request to return the full settled amount of a payment to your customer. **Note:** No request body is needed for this request.
 - [POST /api/payments/{linkData}/partialRefunds](https://docs.worldpay.com/access/products/payments/openapi/manage-payments/partialrefund.md): Send a partial refund request to return a portion of the settled amount of a payment to your customer. **Note:** Send the amount to refund and the authorization currency in the body.
 - [POST /api/payments/{linkData}/cancellations](https://docs.worldpay.com/access/products/payments/openapi/manage-payments/cancel.md): Send a cancel request if you don't want to proceed with a payment. **Note:** You can only cancel a payment which is authorized. If the payment is settled, you must create a refund.
 - [POST /api/payments/{linkData}/partialCancellations](https://docs.worldpay.com/access/products/payments/openapi/manage-payments/partialcancel.md): Send a partial cancel request if you don't want to proceed with a payment. **Note:** You can only cancel a payment which is authorized. If the payment is settled, you must create a refund. You can onl
 - [POST /api/payments/{linkData}/incrementalAuthorizations](https://docs.worldpay.com/access/products/payments/openapi/manage-payments/increaseauthorizedamount.md): Send an incremental authorization request to increase an initial estimated authorization amount (submitted with `estimated` set to `true`). **Note:** You must use the latest next action links returned
 - [POST /api/payments/{linkData}/reversals](https://docs.worldpay.com/access/products/payments/openapi/manage-payments/reversal.md): Send a reversal request, which is processed as a cancel or refund request depending on the time passed after you have submitted your sale request. For US entities the payment is refunded one day after
